Bug 18062 - junkbuster - won't start
junkbuster - won't start
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: junkbuster (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-02 04:56 EDT by Rob K
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-24 01:47:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob K 2000-10-02 04:56:16 EDT
Updating to junkbuster-2.0.2-22. from the RH 7.0 powertools (which seems
identical to the 6.2 version), junkbuster refuses to start. This appears in
the logs after a /etc/rc.d/init.d/junkbuster restart

Oct  2 18:46:23 localhost junkbuster: junkbuster shutdown failed
Oct  2 18:46:24 localhost PAM_unix[3699]: (system-auth) session opened for
user junkbust by robk(uid=0)
Oct  2 18:46:24 localhost su: bash: /root/.bashrc: Permission denied
Oct  2 18:46:24 localhost PAM_unix[3699]: (system-auth) session closed for
user junkbust
Oct  2 18:46:24 localhost junkbuster: junkbuster startup succeeded

However, junkbuster hasn't started.

It was working fine in Pinstripe.
Comment 1 Karsten Hopp 2000-10-10 10:21:34 EDT
Bug in init-script fixed, works on my system but not on Rob's.
Could you please do a 'ldd /usr/sbin/junkbuster' and send me the output ?

Does junkbuster start if you issue the following command (as root):
su junkbust -c "/usr/sbin/junkbuster /etc/junkbuster/config &"

Comment 2 Rob K 2000-10-10 19:49:02 EDT
Here's the output of those two commands:

[root@gladys /root]# ldd /usr/sbin/junkbuster 
	libc.so.6 => /lib/libc.so.6 (0x40026000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
[root@gladys /root]# 

[root@gladys /root]# su junkbust -c "/usr/sbin/junkbuster /etc/junkbuster/config
&"
bash: /root/.bashrc: Permission denied
[root@gladys /root]# /usr/sbin/junkbuster: can't open logfile
'/var/log/junkbuster/junkbuster': Permission denied

[root@gladys /root]# 
Comment 3 Rob K 2000-10-10 19:53:29 EDT
The official junkbuster site give links to RPM downloads at

http://www.waldherr.org/junkbuster/download.shtml

which work perfectly.
Comment 4 Kirk 2000-12-24 01:47:20 EST
I am having the same problems...downgraded to the previous version and things
work fine.
Comment 5 Karsten Hopp 2001-01-22 10:52:06 EST
tested with clean instalation and newest rpm.

Note You need to log in before you can comment on or make changes to this bug.